package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppletUsersTeacher;

/**
 * 伴宠师认证Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface AppletUsersTeacherMapper extends BaseMapper<AppletUsersTeacher> {
    /**
     * 查询伴宠师认证
     * 
     * @param id 伴宠师认证主键
     * @return 伴宠师认证
     */
    public AppletUsersTeacher selectAppletUsersTeacherById(Long id);
    public AppletUsersTeacher selectAppletUsersTeacherByUserId(Long userId);


    /**
     * 查询伴宠师认证列表
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 伴宠师认证集合
     */
    public List<AppletUsersTeacher> selectAppletUsersTeacherList(AppletUsersTeacher appletUsersTeacher);

    /**
     * 新增伴宠师认证
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 结果
     */
    public int insertAppletUsersTeacher(AppletUsersTeacher appletUsersTeacher);

    /**
     * 修改伴宠师认证
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 结果
     */
    public int updateAppletUsersTeacher(AppletUsersTeacher appletUsersTeacher);

    /**
     * 删除伴宠师认证
     * 
     * @param id 伴宠师认证主键
     * @return 结果
     */
    public int deleteAppletUsersTeacherById(Long id);

    /**
     * 批量删除伴宠师认证
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletUsersTeacherByIds(Long[] ids);
}
